Loading...
Searching...
No Matches
globus_gass_copy_glob_stat_t Struct Reference
GASS Copy

Glob expanded entry information. More...

`#include <globus_gass_copy.h>`

## Data Fields

globus_gass_copy_glob_entry_t | type
char * | unique_id
char * | symlink_target
int | mode
int | mdtm
globus_off_t | size

## Detailed Description

Glob expanded entry information.

## Field Documentation

## mdtm

int globus_gass_copy_glob_stat_t::mdtm

An integer specifying the modification time of the file. It is set to -1 when not available.

## mode

int globus_gass_copy_glob_stat_t::mode

An integer specifying the mode of the file.
It is set to -1 when not available.

## size

globus_off_t globus_gass_copy_glob_stat_t::size

A globus_off_t specifying the size of the file.
It is set to -1 when not available.

## symlink_target

char* globus_gass_copy_glob_stat_t::symlink_target

This points to the full path of the target of a symlink.
It is NULL for non-symlinks or when not available.

## type

globus_gass_copy_glob_entry_t globus_gass_copy_glob_stat_t::type

The file type of the entry

## unique_id

char* globus_gass_copy_glob_stat_t::unique_id

A string that uniquely identifies the data that the entry refers to. A file and a symlink to that file will have the same unique_id.
It is NULL for when not available.

The documentation for this struct was generated from the following file:

- globus_gass_copy.h